List Orders
curl --request GET \
--url https://mapi.zbx.boomfi.xyz/v1/trade/order \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/trade/order"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.zbx.boomfi.xyz/v1/trade/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"base_ccy": "<string>",
"created_at": "<string>",
"id": "<string>",
"org_id": "<string>",
"price": "<string>",
"quote_ccy": "<string>",
"quote_id": "<string>",
"size": "<string>",
"updated_at": "<string>",
"user_id": "<string>"
}
],
"last_update": "2021-01-01T00:00:00.000Z",
"next": 10,
"total": 10
},
"error": true
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Orders
List Orders
List RFQ orders for the authenticated organisation
GET
/
trade
/
order
List Orders
Authorizations
Query Parameters
Page size. Defaults to 100. Minimum 1, maximum 100.
Required range:
1 <= x <= 100Page number (1-based). Defaults to 1.
Required range:
x >= 1Inclusive lower bound on created_at (RFC3339). When set, results are sorted by created_at.
Sort direction for the primary list key (created_at when since/until are set, otherwise id). Defaults to desc.
Available options:
asc, desc Filter by RFQ order status.
Available options:
Open, Rejected, Closed Inclusive upper bound on created_at (RFC3339). When set, results are sorted by created_at.
⌘I